
local tmp = table.copy(minetest.registered_nodes["aom_underworld:lava_rock"])

minetest.register_node("aom_underworld:worknode_ceiling", tmp)

minetest.register_node("aom_underworld:worknode_soil", tmp)

minetest.register_node("aom_underworld:worknode_dust", tmp)

minetest.register_node("aom_underworld:worknode_topsoil", tmp)

minetest.register_node("aom_underworld:workaround_node", {
    description = "workaround_node",
    groups = { solid = 0 },
    tiles = {"aom_underworld_glowrock.png^[colorize:#ffffff:255"},
    sounds = aom_sounds.default_stone(),
    light_source = 14,
    paramtype = "light",
})
